"""Process arguments."""

from .argument import Argument
from .bool import BoolArgument
from .bytes import BytesArgument
from .dataclass import DataclassArgument
from .disclose import DiscloseArgument
from .dt import DateArgument, DateTimeArgument
from .enum import EnumArgument
from .sequence import SequenceArgument
from .union import UnionArgument

__all__ = [
    "Argument",
    "BoolArgument",
    "BytesArgument",
    "DataclassArgument",
    "DateArgument",
    "DateTimeArgument",
    "DiscloseArgument",
    "EnumArgument",
    "SequenceArgument",
    "UnionArgument",
]
